Bug 22521 - Convert fines handling to use 'status' instead of two accounttypes
Summary: Convert fines handling to use 'status' instead of two accounttypes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Kyle M Hall
URL:
Keywords:
: 22519 (view as bug list)
Depends on: 21953 22547 22600
Blocks: 23316 22519 22564
  Show dependency treegraph
 
Reported: 2019-03-15 14:47 UTC by Martin Renvoize
Modified: 2019-07-15 14:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This patch clarifies the intended purpose of the various accounttypes used for fines calculations in the accounttline table. WARNING: You will need to update your reports to account for the introduced use of 'status' in accountlines for fines. "accounttype = 'FU'" needs changing to "accounttype = 'FINE' AND status = 'UNRETURNED'" "accounttype = 'F'" needs changing to "accounttype = 'FINE' AND status != 'UNRETURNED'"
Version(s) released in:
19.05.00


Attachments
Bug 22521: Update fines handling to use accountline.status (18.86 KB, patch)
2019-03-20 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.86 KB, patch)
2019-03-22 11:34 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (11.59 KB, patch)
2019-03-22 11:34 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.07 KB, patch)
2019-03-22 11:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.86 KB, patch)
2019-03-22 11:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (11.59 KB, patch)
2019-03-22 11:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.07 KB, patch)
2019-03-22 11:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.86 KB, patch)
2019-03-22 11:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (11.59 KB, patch)
2019-03-22 11:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.58 KB, patch)
2019-03-22 11:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.07 KB, patch)
2019-03-22 12:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.86 KB, patch)
2019-03-22 12:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (11.52 KB, patch)
2019-03-22 12:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.58 KB, patch)
2019-03-22 12:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.07 KB, patch)
2019-03-22 16:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.86 KB, patch)
2019-03-22 16:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (12.89 KB, patch)
2019-03-22 16:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.57 KB, patch)
2019-03-22 16:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (15.17 KB, patch)
2019-03-27 12:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.07 KB, patch)
2019-03-27 16:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.86 KB, patch)
2019-03-27 16:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (12.89 KB, patch)
2019-03-27 16:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.57 KB, patch)
2019-03-27 16:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (15.17 KB, patch)
2019-03-27 16:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.12 KB, patch)
2019-03-27 16:47 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.94 KB, patch)
2019-03-27 16:47 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (12.98 KB, patch)
2019-03-27 16:47 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.63 KB, patch)
2019-03-27 16:47 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (15.25 KB, patch)
2019-03-27 16:47 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.07 KB, patch)
2019-03-29 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.53 KB, patch)
2019-03-29 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (10.28 KB, patch)
2019-03-29 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.57 KB, patch)
2019-03-29 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.04 KB, patch)
2019-03-29 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (follow-up) Update 'Offsets' test (1.89 KB, patch)
2019-03-29 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.12 KB, patch)
2019-03-29 14:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.58 KB, patch)
2019-03-29 14:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (10.33 KB, patch)
2019-03-29 14:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.62 KB, patch)
2019-03-29 14:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.10 KB, patch)
2019-03-29 14:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (follow-up) Update 'Offsets' test (1.95 KB, patch)
2019-03-29 14:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.12 KB, patch)
2019-04-09 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.58 KB, patch)
2019-04-09 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (10.33 KB, patch)
2019-04-09 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.62 KB, patch)
2019-04-09 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.10 KB, patch)
2019-04-09 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (follow-up) Update 'Offsets' test (1.95 KB, patch)
2019-04-09 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.12 KB, patch)
2019-04-09 20:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.59 KB, patch)
2019-04-09 20:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (10.33 KB, patch)
2019-04-09 20:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.62 KB, patch)
2019-04-09 20:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.10 KB, patch)
2019-04-09 20:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (follow-up) Update 'Offsets' test (1.95 KB, patch)
2019-04-09 20:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.12 KB, patch)
2019-04-11 18:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.59 KB, patch)
2019-04-11 18:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (8.41 KB, patch)
2019-04-11 18:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.62 KB, patch)
2019-04-11 18:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.10 KB, patch)
2019-04-11 18:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (follow-up) Update 'Offsets' test (1.95 KB, patch)
2019-04-11 18:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.19 KB, patch)
2019-04-11 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.66 KB, patch)
2019-04-11 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (8.48 KB, patch)
2019-04-11 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.69 KB, patch)
2019-04-11 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.17 KB, patch)
2019-04-11 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22521: (follow-up) Update 'Offsets' test (2.02 KB, patch)
2019-04-11 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22521: (QA Followup) Update number of tests in Circulation.t (742 bytes, patch)
2019-04-11 19:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.18 KB, patch)
2019-04-12 08:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.65 KB, patch)
2019-04-12 08:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (8.47 KB, patch)
2019-04-12 08:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.68 KB, patch)
2019-04-12 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.15 KB, patch)
2019-04-12 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (follow-up) Update 'Offsets' test (2.00 KB, patch)
2019-04-12 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA Followup) Update number of tests in Circulation.t (726 bytes, patch)
2019-04-12 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) remove FFOR from display (1.93 KB, patch)
2019-04-12 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.18 KB, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.65 KB, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (8.47 KB, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.68 KB, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.15 KB, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Update 'Offsets' test (2.01 KB, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Update number of tests in Circulation.t (727 bytes, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) remove FFOR from display (1.93 KB, patch)
2019-04-12 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.18 KB, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.65 KB, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (8.47 KB, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.68 KB, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.15 KB, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Update 'Offsets' test (2.01 KB, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Update number of tests in Circulation.t (727 bytes, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) remove FFOR from display (1.93 KB, patch)
2019-04-16 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Increase varchar size for accounttype (2.18 KB, patch)
2019-04-17 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update fines handling to use accountline.status (18.65 KB, patch)
2019-04-17 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update UI to use accountlines.status (8.47 KB, patch)
2019-04-17 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: Update existing accounttypes (1.68 KB, patch)
2019-04-17 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Corrections to tests (16.15 KB, patch)
2019-04-17 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Update 'Offsets' test (2.01 KB, patch)
2019-04-17 09:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) remove FFOR from display (1.93 KB, patch)
2019-04-17 09:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (QA follow-up) Update number of tests in Circulation.t (792 bytes, patch)
2019-04-17 09:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22521: (RM follow-up) Adjust tests to use new accounttype (6.81 KB, patch)
2019-04-18 10:33 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-03-15 14:47:57 UTC
Bug 22512 introduces a new field for tracking the 'state' of various accounttypes; We should convert the current fine handling from using `FU` (denoting "fine unreturned/updating") in combination with `F` (denoting fine "fixed"). This will clarify the logic and also pave the way to having a more user definable accounttype configuration.
Comment 1 Martin Renvoize 2019-03-20 14:59:58 UTC
Created attachment 86808 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Martin Renvoize 2019-03-20 15:00:45 UTC
Not ready for testing yet.. UI side still needs a patch
Comment 3 Martin Renvoize 2019-03-22 11:34:17 UTC
Created attachment 86890 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-03-22 11:34:19 UTC
Created attachment 86891 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-03-22 11:40:34 UTC
Created attachment 86892 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-03-22 11:40:37 UTC
Created attachment 86893 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-03-22 11:40:40 UTC
Created attachment 86894 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2019-03-22 11:48:15 UTC
Created attachment 86895 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-03-22 11:48:18 UTC
Created attachment 86896 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2019-03-22 11:48:21 UTC
Created attachment 86897 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2019-03-22 11:48:24 UTC
Created attachment 86898 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Martin Renvoize 2019-03-22 11:50:41 UTC
Test Plan

1) Apply patch and ensure updated tests still pass
2) Run DB updates and ensure the display of status's makes sense on all pages that display accountline details (account summary, print and payment pages on staff and the user account fines page on the opac)
Comment 13 Martin Renvoize 2019-03-22 12:02:31 UTC
Created attachment 86899 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2019-03-22 12:02:34 UTC
Created attachment 86900 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2019-03-22 12:02:37 UTC
Created attachment 86901 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2019-03-22 12:02:40 UTC
Created attachment 86902 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2019-03-22 16:46:47 UTC
Created attachment 86918 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 18 Martin Renvoize 2019-03-22 16:46:50 UTC
Created attachment 86919 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 19 Martin Renvoize 2019-03-22 16:46:54 UTC
Created attachment 86920 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 20 Martin Renvoize 2019-03-22 16:46:57 UTC
Created attachment 86921 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 21 Josef Moravec 2019-03-27 10:08:16 UTC
Comment on attachment 86919 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Review of attachment 86919 [details] [review]:
-----------------------------------------------------------------

::: Koha/Account.pm
@@ +471,4 @@
>                      itemnumber        => $item_id,
>                      issue_id          => $issue_id,
>                      branchcode        => $library_id,
> +                    ( $type eq 'overdue' ? ( lastincrement => $amount ) : ()),

Does it make sense to you to make this dependent also on 22516, which removes lastincrement column?
Comment 22 Josef Moravec 2019-03-27 10:12:41 UTC
And the tests are not passing: 

t/db_dependent/Circulation.t .. 36/126 Type of debit not recognised# Looks like your test exited with 255 just after 37.
t/db_dependent/Circulation.t .. Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 89/126 subtests 
t/db_dependent/Overdues.t ..... 4/17     # Looks like you planned 25 tests but ran 1.
t/db_dependent/Overdues.t ..... 17/17 
#   Failed test 'UpdateFine tests'
#   at t/db_dependent/Overdues.t line 307.
Type of debit not recognised# Looks like your test exited with 255 just after 17.
t/db_dependent/Overdues.t ..... Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 1/17 subtests
Comment 23 Josef Moravec 2019-03-27 10:19:38 UTC
git grep "fine_update" returns: 

C4/Overdues.pm:            $accountline->adjust({ amount => $amount, type => 'fine_update' });
t/db_dependent/Koha/Account/Lines.t:    throws_ok { $debit_1->adjust( { amount => 50, type => 'fine_update' } ) }
t/db_dependent/Koha/Account/Lines.t:    $debit_2->adjust( { amount => 150, type => 'fine_update' } )->discard_changes;
t/db_dependent/Koha/Account/Lines.t:    $debit_2->adjust( { amount => 160, type => 'fine_update' } )->discard_changes;
t/db_dependent/Koha/Account/Lines.t:    $debit_2->adjust( { amount => 50, type => 'fine_update' } )->discard_changes;
t/db_dependent/Koha/Account/Lines.t:    $debit_2->adjust( { amount => 30, type => 'fine_update' } )->discard_changes;
Comment 24 Martin Renvoize 2019-03-27 12:12:12 UTC
Created attachment 87063 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests
Comment 25 Martin Renvoize 2019-03-27 16:16:41 UTC
Created attachment 87083 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 26 Martin Renvoize 2019-03-27 16:16:44 UTC
Created attachment 87084 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 27 Martin Renvoize 2019-03-27 16:16:47 UTC
Created attachment 87085 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 28 Martin Renvoize 2019-03-27 16:16:50 UTC
Created attachment 87086 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 29 Martin Renvoize 2019-03-27 16:16:54 UTC
Created attachment 87087 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests
Comment 30 Josef Moravec 2019-03-27 16:47:31 UTC
Created attachment 87097 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 31 Josef Moravec 2019-03-27 16:47:34 UTC
Created attachment 87098 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 32 Josef Moravec 2019-03-27 16:47:38 UTC
Created attachment 87099 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 33 Josef Moravec 2019-03-27 16:47:41 UTC
Created attachment 87100 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 34 Josef Moravec 2019-03-27 16:47:45 UTC
Created attachment 87101 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 35 Martin Renvoize 2019-03-27 17:59:47 UTC
(In reply to Josef Moravec from comment #21)
> Comment on attachment 86919 [details] [review] [review]
> Bug 22521: Update fines handling to use accountline.status
> 
> Review of attachment 86919 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: Koha/Account.pm
> @@ +471,4 @@
> >                      itemnumber        => $item_id,
> >                      issue_id          => $issue_id,
> >                      branchcode        => $library_id,
> > +                    ( $type eq 'overdue' ? ( lastincrement => $amount ) : ()),
> 
> Does it make sense to you to make this dependent also on 22516, which
> removes lastincrement column?

 Thanks for the quick testing and signoff.  Can't believe I let those tests slip through in that state.

As for the dependency on bug 22516.. Isort of agree but didn't want to make the tree look too complicated.. hopefully it'll be pushed imminently and it should be a trivial rebase.
Comment 36 Martin Renvoize 2019-03-29 14:28:32 UTC
Created attachment 87209 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 37 Martin Renvoize 2019-03-29 14:28:35 UTC
Created attachment 87210 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 38 Martin Renvoize 2019-03-29 14:28:39 UTC
Created attachment 87211 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 39 Martin Renvoize 2019-03-29 14:28:43 UTC
Created attachment 87212 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 40 Martin Renvoize 2019-03-29 14:28:46 UTC
Created attachment 87213 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests
Comment 41 Martin Renvoize 2019-03-29 14:28:50 UTC
Created attachment 87214 [details] [review]
Bug 22521: (follow-up) Update 'Offsets' test
Comment 42 Martin Renvoize 2019-03-29 14:33:12 UTC
Created attachment 87215 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 43 Martin Renvoize 2019-03-29 14:33:15 UTC
Created attachment 87216 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 44 Martin Renvoize 2019-03-29 14:33:19 UTC
Created attachment 87217 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 45 Martin Renvoize 2019-03-29 14:33:23 UTC
Created attachment 87218 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 46 Martin Renvoize 2019-03-29 14:33:26 UTC
Created attachment 87219 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 47 Martin Renvoize 2019-03-29 14:33:32 UTC
Created attachment 87220 [details] [review]
Bug 22521: (follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 48 Martin Renvoize 2019-03-29 14:35:09 UTC
*** Bug 22519 has been marked as a duplicate of this bug. ***
Comment 49 Martin Renvoize 2019-04-09 16:20:08 UTC
Created attachment 87619 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 50 Martin Renvoize 2019-04-09 16:20:11 UTC
Created attachment 87620 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 51 Martin Renvoize 2019-04-09 16:20:15 UTC
Created attachment 87621 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 52 Martin Renvoize 2019-04-09 16:20:18 UTC
Created attachment 87622 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 53 Martin Renvoize 2019-04-09 16:20:21 UTC
Created attachment 87623 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 54 Martin Renvoize 2019-04-09 16:20:25 UTC
Created attachment 87624 [details] [review]
Bug 22521: (follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 55 Martin Renvoize 2019-04-09 16:25:04 UTC
Freshly re-based and ready for QA
Comment 56 Martin Renvoize 2019-04-09 20:44:49 UTC
Created attachment 87678 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 57 Martin Renvoize 2019-04-09 20:44:52 UTC
Created attachment 87679 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 58 Martin Renvoize 2019-04-09 20:44:55 UTC
Created attachment 87680 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 59 Martin Renvoize 2019-04-09 20:44:58 UTC
Created attachment 87681 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 60 Martin Renvoize 2019-04-09 20:45:02 UTC
Created attachment 87682 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 61 Martin Renvoize 2019-04-09 20:45:06 UTC
Created attachment 87683 [details] [review]
Bug 22521: (follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 62 Martin Renvoize 2019-04-11 18:39:20 UTC
Created attachment 87787 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 63 Martin Renvoize 2019-04-11 18:39:23 UTC
Created attachment 87788 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 64 Martin Renvoize 2019-04-11 18:39:27 UTC
Created attachment 87789 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 65 Martin Renvoize 2019-04-11 18:39:30 UTC
Created attachment 87790 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 66 Martin Renvoize 2019-04-11 18:39:33 UTC
Created attachment 87791 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 67 Martin Renvoize 2019-04-11 18:39:37 UTC
Created attachment 87792 [details] [review]
Bug 22521: (follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 68 Martin Renvoize 2019-04-11 18:40:04 UTC
Freshly rebased on new dependancies
Comment 69 Kyle M Hall 2019-04-11 19:02:42 UTC
Looks good! I only have a one issue: Shouldn't VOID be in these blocks on the staff and opac side?

[%- BLOCK account_status_description -%]
    [%- SWITCH account.status -%]
        [%- CASE 'UNRETURNED' -%]<span> (Accruing)</span>
        [%- CASE 'RETURNED'   -%]<span> (Returned)</span>
        [%- CASE 'FORGIVEN'   -%]<span> (Forgiven)</span>
        [%- CASE              -%]
    [%- END -%]
[%- END -%]
Comment 70 Martin Renvoize 2019-04-11 19:05:39 UTC
See the dependency tree.. the VOID state is added further down the tree and as such it's introduced as you suggest there.. my brain couldn't keep it all in my head for one massive bug..
Comment 71 Kyle M Hall 2019-04-11 19:09:58 UTC
Excellent! I was reading the tree backwards! My Bad ;)

(In reply to Martin Renvoize from comment #70)
> See the dependency tree.. the VOID state is added further down the tree and
> as such it's introduced as you suggest there.. my brain couldn't keep it all
> in my head for one massive bug..
Comment 72 Kyle M Hall 2019-04-11 19:16:24 UTC
Created attachment 87808 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 73 Kyle M Hall 2019-04-11 19:16:34 UTC
Created attachment 87809 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 74 Kyle M Hall 2019-04-11 19:16:37 UTC
Created attachment 87810 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 75 Kyle M Hall 2019-04-11 19:16:40 UTC
Created attachment 87811 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 76 Kyle M Hall 2019-04-11 19:16:43 UTC
Created attachment 87812 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 77 Kyle M Hall 2019-04-11 19:16:47 UTC
Created attachment 87813 [details] [review]
Bug 22521: (follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 78 Kyle M Hall 2019-04-11 19:16:49 UTC
Created attachment 87814 [details] [review]
Bug 22521: (QA Followup) Update number of tests in Circulation.t

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 79 Martin Renvoize 2019-04-11 19:25:49 UTC
Oh, this needs a quick follow-up which I'll post tomorrow.. FFOR got reintroduced in the last rebase, just needs re-removing from the UI display patch.
Comment 80 Marcel de Rooy 2019-04-12 05:41:26 UTC
Applying: Bug 22521: Increase varchar size for accounttype
Applying: Bug 22521: Update fines handling to use accountline.status
error: sha1 information is lacking or useless (C4/Circulation.pm).
Comment 81 Martin Renvoize 2019-04-12 08:37:52 UTC
Created attachment 87850 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 82 Martin Renvoize 2019-04-12 08:37:56 UTC
Created attachment 87851 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 83 Martin Renvoize 2019-04-12 08:37:59 UTC
Created attachment 87852 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 84 Martin Renvoize 2019-04-12 08:38:03 UTC
Created attachment 87853 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 85 Martin Renvoize 2019-04-12 08:38:06 UTC
Created attachment 87854 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 86 Martin Renvoize 2019-04-12 08:38:10 UTC
Created attachment 87855 [details] [review]
Bug 22521: (follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 87 Martin Renvoize 2019-04-12 08:38:14 UTC
Created attachment 87856 [details] [review]
Bug 22521: (QA Followup) Update number of tests in Circulation.t

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 88 Martin Renvoize 2019-04-12 08:38:17 UTC
Created attachment 87857 [details] [review]
Bug 22521: (QA follow-up) remove FFOR from display

A rebase re-introduced the FFOR accounttype in the display list.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 89 Martin Renvoize 2019-04-12 08:41:25 UTC
Created attachment 87858 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 90 Martin Renvoize 2019-04-12 08:41:29 UTC
Created attachment 87859 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 91 Martin Renvoize 2019-04-12 08:41:33 UTC
Created attachment 87860 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 92 Martin Renvoize 2019-04-12 08:41:36 UTC
Created attachment 87861 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 93 Martin Renvoize 2019-04-12 08:41:40 UTC
Created attachment 87862 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 94 Martin Renvoize 2019-04-12 08:41:44 UTC
Created attachment 87863 [details] [review]
Bug 22521: (QA follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 95 Martin Renvoize 2019-04-12 08:41:47 UTC
Created attachment 87864 [details] [review]
Bug 22521: (QA follow-up) Update number of tests in Circulation.t

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 96 Martin Renvoize 2019-04-12 08:41:51 UTC
Created attachment 87865 [details] [review]
Bug 22521: (QA follow-up) remove FFOR from display

A rebase re-introduced the FFOR accounttype in the display list.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 97 Marcel de Rooy 2019-04-12 09:18:45 UTC
Following this trail, it still does not apply. Can we wait for some things to get pushed btw ?
22628
21953
22547
22521
Comment 98 Martin Renvoize 2019-04-16 14:01:30 UTC
Created attachment 88064 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 99 Martin Renvoize 2019-04-16 14:01:33 UTC
Created attachment 88065 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 100 Martin Renvoize 2019-04-16 14:01:37 UTC
Created attachment 88066 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 101 Martin Renvoize 2019-04-16 14:01:41 UTC
Created attachment 88067 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 102 Martin Renvoize 2019-04-16 14:01:44 UTC
Created attachment 88068 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 103 Martin Renvoize 2019-04-16 14:01:48 UTC
Created attachment 88069 [details] [review]
Bug 22521: (QA follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 104 Martin Renvoize 2019-04-16 14:01:52 UTC
Created attachment 88070 [details] [review]
Bug 22521: (QA follow-up) Update number of tests in Circulation.t

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 105 Martin Renvoize 2019-04-16 14:01:55 UTC
Created attachment 88071 [details] [review]
Bug 22521: (QA follow-up) remove FFOR from display

A rebase re-introduced the FFOR accounttype in the display list.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 106 Martin Renvoize 2019-04-17 09:38:38 UTC
Created attachment 88149 [details] [review]
Bug 22521: Increase varchar size for accounttype

accountlines.accounttype is currently a short varchar(5) field for to
store accounttype codes. Koha is moving towards more descriptive codes
which require a larger capacity varchar(16).

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 107 Martin Renvoize 2019-04-17 09:38:42 UTC
Created attachment 88150 [details] [review]
Bug 22521: Update fines handling to use accountline.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 108 Martin Renvoize 2019-04-17 09:38:46 UTC
Created attachment 88151 [details] [review]
Bug 22521: Update UI to use accountlines.status

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 109 Martin Renvoize 2019-04-17 09:38:49 UTC
Created attachment 88152 [details] [review]
Bug 22521: Update existing accounttypes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 110 Martin Renvoize 2019-04-17 09:38:53 UTC
Created attachment 88153 [details] [review]
Bug 22521: (QA follow-up) Corrections to tests

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 111 Martin Renvoize 2019-04-17 09:38:57 UTC
Created attachment 88154 [details] [review]
Bug 22521: (QA follow-up) Update 'Offsets' test

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 112 Martin Renvoize 2019-04-17 09:39:00 UTC
Created attachment 88155 [details] [review]
Bug 22521: (QA follow-up) remove FFOR from display

A rebase re-introduced the FFOR accounttype in the display list.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 113 Martin Renvoize 2019-04-17 09:39:04 UTC
Created attachment 88156 [details] [review]
Bug 22521: (QA follow-up) Update number of tests in Circulation.t

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 114 Nick Clemens 2019-04-17 17:30:04 UTC
Awesome work all!

Pushed to master for 19.05
Comment 115 Nick Clemens 2019-04-18 10:33:03 UTC
Created attachment 88286 [details] [review]
Bug 22521: (RM follow-up) Adjust tests to use new accounttype
Comment 116 Nick Clemens 2019-04-18 12:08:24 UTC
(In reply to Nick Clemens from comment #115)
> Created attachment 88286 [details] [review] [review]
> Bug 22521: (RM follow-up) Adjust tests to use new accounttype

Followup pushed to master
Comment 117 Martin Renvoize 2019-04-26 13:29:06 UTC
Enhancement will not be backported to 18.11.x series.